<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center gap-6 text-white">
  <div *ngFor="let role of roles | keyvalue">
    <app-action-button [title]="role.value.title | titlecase" icon="fa fa-user-pen" (onClick)="toggleRole(role.key)" [selectable]="true" [selected]="role.value.selected">
      <ng-template #description>
        {{ role.value.description }}
      </ng-template>
     </app-action-button>
  </div>
</div>
<div class="mt-10 w-full flex justify-end items-center gap-10">
  <p-button label="Update" icon="pi pi-pencil" [style]="{ width: '160px' }" [loading]="loading$ | async" (onClick)="changeRoles()" [autofocus]="true"></p-button>
</div>
